package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 预约对象 boman_reservat
 * 
 * @author ruoyi
 * @date 2024-02-27
 */
public class BomanReservat extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 陵园预约ID */
    private Long reservatId;

    /** 被访问人员id */
    @Excel(name = "被访问人员id")
    private Long appointmentId;

    /** 被访问人员姓名 */
    @Excel(name = "被访问人员姓名")
    private String appointmentName;

    /** 来访者姓名 */
    @Excel(name = "来访者姓名")
    private String visitName;

    /** 预约时段id */
    @Excel(name = "预约时段id")
    private Long reservatConfigTimeId;

    /** 来访者手机号 */
    @Excel(name = "来访者手机号")
    private String visitPhone;

    /** 来访者身份证 */
    @Excel(name = "来访者身份证")
    private String visitIdCard;

    /** 来访者人数 */
    @Excel(name = "来访者人数")
    private String visitNum;

    /** 来访者事由 */
    @Excel(name = "来访者事由")
    private String visitReason;

    /** 来访者补充事由 */
    @Excel(name = "来访者补充事由")
    private String visitRemark;

    /** 预约日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预约日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date visitDate;

    /** 预约时间 */
    @Excel(name = "预约时间")
    private String visitTime;

    /** 预约时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预约时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date visitDateTime;

    /** 预约二维码 */
    @Excel(name = "预约二维码")
    private String visitQr;

    /** 预约状态 1:等待审核 2:拒绝 3:已通过 */
    @Excel(name = "预约状态 1:等待审核 2:拒绝 3:已通过")
    private String visitType;

    /** 是否入场 1:未入场 2:已入场 */
    @Excel(name = "是否入场 1:未入场 2:已入场")
    private String visitStatus;

    /** 人脸数据 */
    @Excel(name = "人脸数据")
    private String humanFaceData;

    /** 访问密码(仅管理员可见） */
    @Excel(name = "访问密码(仅管理员可见）")
    private String accessPassword;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setReservatId(Long reservatId) 
    {
        this.reservatId = reservatId;
    }

    public Long getReservatId() 
    {
        return reservatId;
    }
    public void setAppointmentId(Long appointmentId) 
    {
        this.appointmentId = appointmentId;
    }

    public Long getAppointmentId() 
    {
        return appointmentId;
    }
    public void setAppointmentName(String appointmentName) 
    {
        this.appointmentName = appointmentName;
    }

    public String getAppointmentName() 
    {
        return appointmentName;
    }
    public void setVisitName(String visitName) 
    {
        this.visitName = visitName;
    }

    public String getVisitName() 
    {
        return visitName;
    }
    public void setReservatConfigTimeId(Long reservatConfigTimeId) 
    {
        this.reservatConfigTimeId = reservatConfigTimeId;
    }

    public Long getReservatConfigTimeId() 
    {
        return reservatConfigTimeId;
    }
    public void setVisitPhone(String visitPhone) 
    {
        this.visitPhone = visitPhone;
    }

    public String getVisitPhone() 
    {
        return visitPhone;
    }
    public void setVisitIdCard(String visitIdCard) 
    {
        this.visitIdCard = visitIdCard;
    }

    public String getVisitIdCard() 
    {
        return visitIdCard;
    }
    public void setVisitNum(String visitNum) 
    {
        this.visitNum = visitNum;
    }

    public String getVisitNum() 
    {
        return visitNum;
    }
    public void setVisitReason(String visitReason) 
    {
        this.visitReason = visitReason;
    }

    public String getVisitReason() 
    {
        return visitReason;
    }
    public void setVisitRemark(String visitRemark) 
    {
        this.visitRemark = visitRemark;
    }

    public String getVisitRemark() 
    {
        return visitRemark;
    }
    public void setVisitDate(Date visitDate) 
    {
        this.visitDate = visitDate;
    }

    public Date getVisitDate() 
    {
        return visitDate;
    }
    public void setVisitTime(String visitTime) 
    {
        this.visitTime = visitTime;
    }

    public String getVisitTime() 
    {
        return visitTime;
    }
    public void setVisitDateTime(Date visitDateTime) 
    {
        this.visitDateTime = visitDateTime;
    }

    public Date getVisitDateTime() 
    {
        return visitDateTime;
    }
    public void setVisitQr(String visitQr) 
    {
        this.visitQr = visitQr;
    }

    public String getVisitQr() 
    {
        return visitQr;
    }
    public void setVisitType(String visitType) 
    {
        this.visitType = visitType;
    }

    public String getVisitType() 
    {
        return visitType;
    }
    public void setVisitStatus(String visitStatus) 
    {
        this.visitStatus = visitStatus;
    }

    public String getVisitStatus() 
    {
        return visitStatus;
    }
    public void setHumanFaceData(String humanFaceData) 
    {
        this.humanFaceData = humanFaceData;
    }

    public String getHumanFaceData() 
    {
        return humanFaceData;
    }
    public void setAccessPassword(String accessPassword) 
    {
        this.accessPassword = accessPassword;
    }

    public String getAccessPassword() 
    {
        return accessPassword;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("reservatId", getReservatId())
            .append("appointmentId", getAppointmentId())
            .append("appointmentName", getAppointmentName())
            .append("visitName", getVisitName())
            .append("reservatConfigTimeId", getReservatConfigTimeId())
            .append("visitPhone", getVisitPhone())
            .append("visitIdCard", getVisitIdCard())
            .append("visitNum", getVisitNum())
            .append("visitReason", getVisitReason())
            .append("visitRemark", getVisitRemark())
            .append("visitDate", getVisitDate())
            .append("visitTime", getVisitTime())
            .append("visitDateTime", getVisitDateTime())
            .append("visitQr", getVisitQr())
            .append("visitType", getVisitType())
            .append("visitStatus", getVisitStatus())
            .append("humanFaceData", getHumanFaceData())
            .append("accessPassword", getAccessPassword())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
